oasis.names.tc.dss._1_0.core.schema

## Class TimeSignatureInstructionType

- java.lang.Object
- - oasis.names.tc.dss._1_0.core.schema.UpdateSignatureInstructionType
  - - oasis.names.tc.dss._1_0.core.schema.TimeSignatureInstructionType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:51:38+01:00",
                 comments="JAXB RI v2.3.7")
      public class TimeSignatureInstructionType
      extends UpdateSignatureInstructionType
      implements Serializable

  Java class for TimeSignatureInstructionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TimeSignatureInstructionType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:dss:1.0:core:schema}UpdateSignatureInstructionType">
             <attribute name="TimeStampTheGivenSignature" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeSignatureInstructionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isTimeStampTheGivenSignature()` Gets the value of the timeStampTheGivenSignature property.
    `void` | `setTimeStampTheGivenSignature(Boolean value)` Sets the value of the timeStampTheGivenSignature property.

    - ### Methods inherited from class oasis.names.tc.dss._1_0.core.schema.UpdateSignatureInstructionType

      `getType, setType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeSignatureInstructionType

          public TimeSignatureInstructionType()

  - ### Method Detail

    - #### isTimeStampTheGivenSignature

          public boolean isTimeStampTheGivenSignature()

      Gets the value of the timeStampTheGivenSignature property.
      Returns:
        possible object is `Boolean`

    - #### setTimeStampTheGivenSignature

          public void setTimeStampTheGivenSignature(Boolean value)

      Sets the value of the timeStampTheGivenSignature property.
      Parameters:
        `value` - allowed object is `Boolean`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.